Subject: Re: [PATCH] ath10k: demote chan info without scan request warning

From: Kalle Valo <[email-masked]>
Date: Sun, 13 Jun 2021 12:01:56 +0300

Caleb Connolly <[email-masked]> writes:

> Hi Kalle,
>
> On 12/06/2021 11:36 am, Kalle Valo wrote:
>> Caleb Connolly <[email-masked]> wrote:
>>
>>> Some devices/firmwares cause this to be printed every 5-15 seconds,
>>> though it has no impact on functionality. Demote this to a debug
>>> message.
>>>
>>> Signed-off-by: Caleb Connolly <[email-masked]>
>>> Signed-off-by: Kalle Valo <[email-masked]>
>
> Is this meant to be an Ack?

No, my patchwork script has few quirks and it actually takes the quoted
text from my pending branch, not from your actual email. That's why you
see my s-o-b there. I haven't bothered to fix that yet, but hopefully
one day.

>> On what hardware and firmware version do you see this?
>
> I see this on SDM845 and MSM8998 platforms, specifically the OnePlus 6
> devices, PocoPhone F1 and OnePlus 5.
> On the OnePlus 6 (SDM845) we are stuck with the following signed vendor fw:
>
> [    9.339873] ath10k_snoc 18800000.wifi: qmi chip_id 0x30214
> chip_family 0x4001 board_id 0xff soc_id 0x40030001
> [    9.339897] ath10k_snoc 18800000.wifi: qmi fw_version 0x20060029
> fw_build_timestamp 2019-07-12 02:14 fw_build_id
> QC_IMAGE_VERSION_STRING=WLAN.HL.2.0.c8-00041-QCAHLSWMTPLZ-1
>
> The OnePlus 5 (MSM8998) is using firmware:
>
> [ 6096.956799] ath10k_snoc 18800000.wifi: qmi chip_id 0x30214
> chip_family 0x4001 board_id 0xff soc_id 0x40010002
> [ 6096.956824] ath10k_snoc 18800000.wifi: qmi fw_version 0x1007007e
> fw_build_timestamp 2020-04-14 22:45 fw_build_id
> QC_IMAGE_VERSION_STRING=WLAN.HL.1.0.c6-00126-QCAHLSWMTPLZ-1.211883.1.278648.

Thanks, I'll include this information to the commit log and then apply
the patch. And I'll assume you have also tested this patch on those
platforms so that I can add a Tested-on tag?

BTW, ath10k should strip that ugly "QC_IMAGE_VERSION_STRING=" string in
the firmware version. Patches very welcome :)

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches